%define upstream_name    CPAN-Meta-Requirements
%define upstream_version 2.133

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	2
Summary:	A set of version requirements for a CPAN dist
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/CPAN/CPAN-Meta-Requirements-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Carp) >= 1.360.0
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More) >= 1.1.9
BuildRequires:	perl(version)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(B)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)


BuildArch:	noarch

%description
A CPAN::Meta::Requirements object models a set of version constraints like
those specified in the _META.yml_ or _META.json_ files in CPAN
distributions. It can be built up by adding more and more constraints, and
it will reduce them to the simplest representation.

Logically impossible constraints will be identified immediately by thrown
exceptions.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc  META.json META.yml LICENSE Changes README CONTRIBUTING.*
%{_mandir}/man3/*
%{perl_vendorlib}/*



%changelog

* Tue Oct 06 2015 Denis Silakov <dsilakov@gmail.com> 2.133.0-2
- (b2dc573) Move to main


